<%@ taglib uri="http://java.sun.com/jsf/html" prefix="h"%>
<%@ taglib uri="http://java.sun.com/jsf/core" prefix="f"%>
<%@ taglib uri="http://richfaces.org/a4j" prefix="a4j"%>
<%@ taglib uri="http://richfaces.org/rich" prefix="rich"%>

<f:subview id="virtualEarthSubviewID">
		<h:panelGrid columns="2">
			<rich:virtualEarth style="width:800px;" version="#{virtualEarth.version}" id="gm" lat="37.97" dashboardSize="Normal" zoom="#{virtualEarth.zoom}"
				mapStyle="Hybrid" var="map" onclick="print('onclickInputID', 'onclick work!')"
				ondblclick="print('ondblclickInputID', 'ondblclick work!')" onkeydown="print('onkeydownInputID', 'onkeydown work!')"
				onkeypress="print('onkeypressInputID', 'onkeypress work!')" onkeyup="print('onkeyupInputID', 'onkeyup work!')"
				onmousedown="print('onmousedownInputID', 'onmousedown work!')"
				onmousemove="print('onmousemoveInputID', 'onmousemove work!')" onmouseout="print('onmouseoutInputID', 'onmouseout work!')"
				onmouseover="print('onmouseoverInputID', 'onmouseover work!')" onmouseup="print('onmouseupInputID', 'onmouseup work!')"/>

		</h:panelGrid>

		<a4j:outputPanel>
			<script>
      function createMarker(point,html) {
        var marker = new GMarker(point);
        GEvent.addListener(marker, "click", function() {
          marker.openInfoWindowHtml(html);
        });
        return marker;
      }
	   function showExadel() {
	    var point = new VELatLong(37.9721046, -122.0424842834);
		map.SetCenterAndZoom(point, 16);
		map.SetMapStyle(VEMapStyle.Birdseye);
	   }
	    function showExadelInMinsk() {
	    var point = new VELatLong(53.92316,27.510737, 53.92316,27.510737);
		map.SetCenterAndZoom(point, 16);
		map.SetMapStyle(VEMapStyle.Birdseye);
	   }
	   </script>
		</a4j:outputPanel>
</f:subview>
